ESP-IDF release compatible with IoT Solution

rg98de
Posts: 1
Joined: Wed Sep 04, 2019 12:27 pm

ESP-IDF release compatible with IoT Solution

Postby rg98de » Wed Sep 04, 2019 12:33 pm

Hi,

I updated to latest revision of ESP-IDF but now I could not use esp-iot-solutions any more. I already get an error when I try to configure my project with idf.py menuconfig. Is there some information what's the highest revision supported by esp-iot-solution?

Kind regards
rg98de

costaud
Posts: 48
Joined: Wed Dec 30, 2015 5:09 pm

Re: ESP-IDF release compatible with IoT Solution

Postby costaud » Wed Sep 04, 2019 1:01 pm

In esp-iot-solution repository, there is an esp-idf submodule. It is recommended to use the default version of esp-idf.

It uses the latest idf v3.2.2 right now, please update and have a try.

The latest version of master branch is v4.0, there could be some breaking change in major version update. We will support this version once it is officially released.

Who is online

Users browsing this forum: No registered users and 1 guest